WordPress.org

Ready to get started?Download WordPress

Plugin Directory

YITH WooCommerce Compare

YITH WooCommerce Compare allows you to compare more products of your shop in one complete table. WooCommerce Compatible up to 2.2.x

Requires: 3.5.1 or higher
Compatible up to: 4.1.1
Last Updated: 2015-2-13
Active Installs: 50,000+

Ratings

4.5 out of 5 stars

Support

0 of 10 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

2 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1
100,1,1
100,1,1
100,1,1
100,2,2